Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZCodePage Member List

This is the complete list of members for eZCodePage, including all inherited members.

$CharsetCode | eZCodePage |
$CharsetEncodingScheme | eZCodePage |
$CodeMap | eZCodePage |
$MaxCharValue | eZCodePage |
$MinCharValue | eZCodePage |
$ReadExtraMap | eZCodePage |
$RequestedCharsetCode | eZCodePage |
$SubstituteChar | eZCodePage |
$UnicodeMap | eZCodePage |
$UTF8CodeMap | eZCodePage |
$UTF8Map | eZCodePage |
$Valid | eZCodePage |
__construct( $charset_code, $use_cache=true) | eZCodePage |
CACHE_CODE_DATE | eZCodePage |
cacheFileName( $charset_code) | eZCodePage |
cacheFilepath() | eZCodePage |
charsetCode() | eZCodePage |
charToUnicode( $str, $pos, &$charLen) | eZCodePage |
charToUtf8( $str, $pos, &$charLen) | eZCodePage |
codepageList() | eZCodePage |
codeToUnicode( $code) | eZCodePage |
codeToUtf8( $code) | eZCodePage |
convertString( $str) | eZCodePage |
convertStringFromUTF8( $multi_char) | eZCodePage |
convertStringToUnicode( $str) | eZCodePage |
convertUnicodeToString( $unicodeValues) | eZCodePage |
exists( $charset_code) | eZCodePage | static
fileModification( $charset_code) | eZCodePage |
fileName( $charset_code) | eZCodePage | static
flushCacheObject() | eZCodePage | private static
instance( $charset_code, $use_cache=true) | eZCodePage | static
isValid() | eZCodePage |
load( $use_cache=true) | eZCodePage |
maxCharValue() | eZCodePage |
minCharValue() | eZCodePage |
permissionSetting() | eZCodePage | private static
requestedCharsetCode() | eZCodePage |
setPermissionSetting( $permissionArray) | eZCodePage | private static
setSubstituteChar( $char) | eZCodePage |
storeCacheObject( $filename, $permissionArray) | eZCodePage |
strlen( $str) | eZCodePage |
strlenFromUTF8( $str) | eZCodePage |
substituteChar() | eZCodePage |
unicodeToChar( $ucode) | eZCodePage |
unicodeToCode( $ucode) | eZCodePage |
utf8ToChar( $ucode) | eZCodePage |
utf8ToCode( $ucode) | eZCodePage |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.